cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Giacomo Pati <giac...@apache.org>
Subject Re: HEAD not building with Java 1.3.x
Date Mon, 02 Feb 2004 13:54:12 GMT
Ok, I've compiled the geronimo/specs/jta jar with the property 
maven.compile.target=1.1. Now at least it compiles.


Giacomo Pati wrote:
> 
> 
> Unico Hommes wrote:
> 
>> Giacomo Pati wrote:
>>
>>> I'm not through with all the mails but I've just encountered a 
>>> problem when building under Java 1.3. Could it be that the included 
>>> geronimo-spec-jta-DEV-20040116.jar in the slide block is compiled with a
>>> 1.4 compiler?
>>
>>
>>
>> Yes, it was. I was unaware this would cause problems. OK I've replaced
>> it now with one compiled against 1.3. Did that fix the problem?
> 
> 
> No, I still get a
> 
> /home/giacomo/cvs/apache/cocoon-2.1/src/blocks/slide/java/org/apache/cocoon/components/slide/impl/ContextTxFileContentStore.java:73:

> cannot access javax.transaction.xa.XAResource
> bad class file: 
> /home/giacomo/cvs/apache/cocoon-2.1/src/blocks/slide/lib/geronimo-spec-jta-DEV-20040202.jar(javax/transaction/xa/XAResource.class)

> 
> class file has wrong version 48.0, should be 47.0
> Please remove or make sure it appears in the correct subdirectory of the 
> classpath.
>     public void setParameters(Hashtable parameters)
> 
> Normally the 'wrong version' message indicates java version conflicts.
> 

-- 
Giacomo Pati
Otego AG, Switzerland - http://www.otego.com
Orixo, the XML business alliance - http://www.orixo.com

Mime
View raw message